QListBoxText(3qt)

NAME
QListBoxText - List box items with text

SYNOPSIS

#include <qlistbox.h>

Inherits QListBoxItem.

  Public Members
QListBoxText ( const char * = 0 )
~QListBoxText ()
virtual void paint ( QPainter * )
virtual int height ( const QListBox * ) const
virtual int width ( const QListBox * ) const

DESCRIPTION
The QListBoxText class provides list box items with text.

The text is drawn in the widget's current font. If you need several different fonts, you have to make your own subclass of QListBoxItem.

See also: QListBox and QListBoxItem.

MEMBER FUNCTION DOCUMENTATION

QListBoxText::QListBoxText ( const char * text = 0 )
Constructs a list box item showing the text text.

QListBoxText::~QListBoxText ()
Destroys the item.

int QListBoxText::height ( const QListBox * lb ) const [virtual]
Returns the height of a line of text.

See also: paint() and width().

Reimplemented from QListBoxItem.

void QListBoxText::paint ( QPainter * p ) [virtual]
Draws the text using painter p.

Reimplemented from QListBoxItem.

int QListBoxText::width ( const QListBox * lb ) const [virtual]
Returns the width of this line.

See also: paint() and height().

Reimplemented from QListBoxItem.

SEE ALSO
http://www.troll.no/qt/qlistboxtext.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.